Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03640 Sound Minor Always Jan 4, 2010, 14:35 Jan 6, 2010, 20:03
Tester M.A.S.H. View Status Public Platform MAME (Self-compiled)
Assigned To Lord Nightmare Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver docastle.cpp
Version 0.136 Fixed in Version 0.136u2 Build
Fixed in Git Commit Github Pull Request #
Summary 03640: dorunrun: SN76489 music off key.
Description I have recorded the music in Do! Run Run (Universal 1984)
from MAME 0.114u2, 0.114u3, 0.135 and 0.135u1. It sounds
good in 0.114u2, after the update with the SN76489 variant
in 0.114u3 bad and after 0.135 very bad.


Whatsnew 0.114u3
Improved noise emulation in the SN76496 emulator. Added several
variants (-> SN76489) which differ based on the noise generator and other
parameters. [Lord Nightmare]

Whatsnew 0.135u1
Updated SN76489/A to have correct PRNG waveforms (a 0 bit was missing
at the beginning, and beginning of SN76489 waveform was all 1s
instead of 0s as measured on hardware). Added SN94624 (same as
SN76489). [Lord Nightmare, plgDavid (David Viens)]
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version 0.114u3
Affected Sets / Systems dorunrun
Attached Files
mp3 file icon 0114u2.mp3 (404,544 bytes) Jan 4, 2010, 14:35
mp3 file icon 0114u3.mp3 (405,216 bytes) Jan 4, 2010, 14:35
mp3 file icon 0135.mp3 (404,544 bytes) Jan 4, 2010, 14:36
mp3 file icon 0135u1.mp3 (404,544 bytes) Jan 4, 2010, 14:36
mp3 file icon dorunrun_arcade.mp3 (46,032 bytes) Jan 5, 2010, 14:50
mp3 file icon dorunrun_mame0136.mp3 (35,280 bytes) Jan 5, 2010, 14:50
wav file icon dorunrun.wav (233,012 bytes) Jan 6, 2010, 20:02
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.05386
Tafoid
Administrator
Jan 4, 2010, 15:34
"Bad" is a relative term. We need PCB sources and accurate recordings (not past MAME output) to compare. I won't dispute it sounds slightly different recently, but AFAIK, the accuracy of the chip is much more in line to hardware than it was before.
User avatar
No.05399
Fujix
Administrator
Jan 5, 2010, 14:53
edited on: May 31, 2012, 05:18
Extracted stage clear music from the arcade recording on Coinopvideogames.
Current MAME is off-key.

Old tv program in 1987 introducing Mr. Do series. Do Run Run starts from 2:00.
User avatar
No.05407
Kold666
Developer
Jan 5, 2010, 17:29
I can confirm listening to my pcb
User avatar
No.05438
Kold666
Developer
Jan 6, 2010, 20:03
I uploaded a short sample from my Do run run pcb which use 76489A sound chips